---
title: Window.frames
slug: Web/API/Window/frames
tags:
  - API
  - Gecko
  - HTML DOM
  - NeedsContent
  - NeedsUpdate
  - Property
  - Reference
  - Window
---
<div>{{APIRef("DOM")}}</div>

<p>Returns the window itself, which is an array-like object, listing the direct sub-frames of the current window.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>frameList</var> = window.frames;
</pre>

<ul>
 <li><code><var>frameList</var></code> is a list of frame objects. It is similar to an array in that it has a <code>length</code> property and its items can be accessed using the <code>[i]</code> notation.</li>
 <li><code>frameList === window</code> evaluates to true.</li>
 <li>Each item in the window.frames pseudo-array represents the {{domxref("Window")}} object corresponding to the given {{HTMLElement("frame")}}'s or {{HTMLElement("iframe")}}'s content, not the (i)frame DOM element (i.e., <code>window.frames[0]</code> is the same thing as <code>document.getElementsByTagName("iframe")[0].contentWindow</code>).</li>
 <li>For more details about the returned value, refer to this <a class="external" href="http://groups.google.com/group/mozilla.dev.platform/browse_thread/thread/5628c6f346859d4f/169aa7004565066?hl=en&amp;ie=UTF-8&amp;oe=utf-8&amp;q=window.frames&amp;pli=1">thread on mozilla.dev.platform</a>.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">var frames = window.frames; // or // var frames = window.parent.frames;
for (var i = 0; i &lt; frames.length; i++) {
  // do something with each subframe as frames[i]
  frames[i].document.body.style.background = "red";
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "browsers.html#dom-frames", "Window.frames")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5 W3C", "browsers.html#dom-frames", "Window.frames")}}</td>
   <td>{{Spec2("HTML5 W3C")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.frames")}}</p>
